// Tiny cat funcion

#include <stdio.h>	// fopen(), getc(), putc(), fclose(), fflush()
			// struct FILE {}, stdin, stdout, EOF, NULL

void print_file(FILE* fp) {
  int ch;

  while ((ch = getc(fp)) != EOF)
    putc(ch, stdout);
  fclose(fp);
  fflush(stdout);
 }

int cat(int argc, char** argv) {
  int idx = 1;
  FILE* fp;

  if (argc == 1) {
    print_file(stdin);
    return 0;
   }
  argc--;
  while (argc) {
    fp = fopen(argv[ idx ], "r");
    if (fp == NULL) return 1;
    print_file(fp);
    argc--;
    idx++;
   }
  return 0;
 }
